Subject: Re: bug#30707: describe-variable misses linking linkable changed items

From: Noam Postavsky <[email-masked]>
Date: Sun, 14 Jul 2019 10:56:15 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> 積丹尼 Dan Jacobson <[email-masked]> writes:
>
>>    browse-url-browser-function is a variable defined in ‘browse-url.el’.
>>    Its value is ‘browse-url-chromium’

>> The problem is browse-url-default-browser should be a blue link, but was
>> not detected as linkable.

> This sounds reasonable, but I don't think it is.  :-)
> `browse-url-default-browser' is just a symbol that that variable had as
> a value.  Yes, it's a symbol that refers to a function, but in general,
> the doc machinery doesn't know that that's how it's going to be used; it
> might be a total coincidence.  (Especially with shorter symbols.)

Even if it is just a coincidence, would it hurt to linkify it?